Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class RelatesTo

    java.lang.Object
      org.apache.axis2.addressing.RelatesTo

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, SafeSerializable

    public class RelatesTo

extends java.lang.Object
implements java.io.Externalizable, SafeSerializable

Class RelatesTo

See Also:
  Serialized Form

Constructor Summary
`RelatesTo()` Constructor RelatesTo
`RelatesTo(java.lang.String value)` Constructor RelatesTo
`RelatesTo(java.lang.String value, java.lang.String relationshipType)` Constructor RelatesTo

Method Summary
`java.util.ArrayList` | `getExtensibilityAttributes()`
`java.lang.String` | `getRelationshipType()` Method getRelationshipType.
`java.lang.String` | `getValue()` Method getValue
`void` | `readExternal(java.io.ObjectInput inObject)` Restore the contents of the object that was previously saved.
`void` | `setExtensibilityAttributes(java.util.ArrayList extensibilityAttributes)`
`void` | `setRelationshipType(java.lang.String relationshipType)` Method setRelationshipType
`void` | `setValue(java.lang.String value)` Method setValue
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput o)` Save the contents of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelatesTo

    public RelatesTo()

  Constructor RelatesTo

### RelatesTo

    public RelatesTo(java.lang.String value)

  Constructor RelatesTo

  Parameters:
    `value` -

### RelatesTo

    public RelatesTo(java.lang.String value,
                     java.lang.String relationshipType)

  Constructor RelatesTo

  Parameters:
    `value` -
    `relationshipType` -

Method Detail

### getRelationshipType

    public java.lang.String getRelationshipType()

  Method getRelationshipType. If the relationship type has not been set it returns the default value `AddressingConstants.Final.WSA_DEFAULT_RELATIONSHIP_TYPE`

### getValue

    public java.lang.String getValue()

  Method getValue

### setRelationshipType

    public void setRelationshipType(java.lang.String relationshipType)

  Method setRelationshipType

  Parameters:
    `relationshipType` -

### setValue

    public void setValue(java.lang.String value)

  Method setValue

  Parameters:
    `value` -

### getExtensibilityAttributes

    public java.util.ArrayList getExtensibilityAttributes()

### setExtensibilityAttributes

    public void setExtensibilityAttributes(java.util.ArrayList extensibilityAttributes)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### writeExternal

    public void writeExternal(java.io.ObjectOutput o)
                       throws java.io.IOException

  Save the contents of this object.

  NOTE: Transient fields and static fields are not saved.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Parameters:
    `out` - The stream to write the object contents to
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput inObject)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Restore the contents of the object that was previously saved.

  NOTE: The field data must read back in the same order and type as it was written. Some data will need to be validated when resurrected.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Parameters:
    `in` - The stream to read the object contents from
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.